Bug 467678 - LVDS corruption when setting unusual resolution
LVDS corruption when setting unusual resolution
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-20 03:42 EDT by Robert de Rooy
Modified: 2010-03-17 06:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-17 06:12:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Picture of LVDS display (77.38 KB, image/jpeg)
2008-10-20 03:43 EDT, Robert de Rooy
no flags Details
Xorg log (61.87 KB, text/plain)
2008-10-20 03:44 EDT, Robert de Rooy
no flags Details

  None (edit)
Description Robert de Rooy 2008-10-20 03:42:42 EDT
Description of problem:
First of all, I am not sure this is a true bug or a technical limitation

Setting default resolution in xorg.conf to 1360x768 to match the resolution on an external VGA attached Samsung TV causes the internal LVDS to have a vertical corruption band on the right hand side of the display (see attachment). The corruption acts like an overlay in that you can see the desktop through it.

The 1360x768 is not advertised as a supported resolution by the internal LVDS, but it does appear to work properly apart from the corruption.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.9.0-27.fc10.i386

How reproducible:
each time

Steps to Reproduce:
1. ThinkPad T41
2. Set resolution in xorg.conf screen section to 1360x768
3.
  
Actual results:
corruption on right hand side of LVDS display

Expected results:
No corruption

Additional info:
Comment 1 Robert de Rooy 2008-10-20 03:43:40 EDT
Created attachment 320850 [details]
Picture of LVDS display
Comment 2 Robert de Rooy 2008-10-20 03:44:37 EDT
Created attachment 320851 [details]
Xorg log
Comment 3 Robert de Rooy 2008-10-20 03:47:11 EDT
Let me just add that the Samsung TV does not need to be physically attached for the corruption to appear. Just setting the resolution to 1360x768 is enough
Comment 4 Bug Zapper 2008-11-25 23:01:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Robert de Rooy 2009-04-21 07:52:04 EDT
It seems the behaviour has changed with F11 beta with latest updates

kernel-2.6.29.1-100.fc11.i586
xorg-x11-drv-ati-6.12.2-4.fc11.i586

When booting with KMS and my minimal xorg.conf file which only adds a single 1360x768 mode, I end up with a black display when GDM starts, but I can switch to a VT.

When booting without KMS (nomodeset), I get video at GDM but at 1024x768. So the mode I set in xorg.conf is ignored and the closest available mode is selected.

I will try to add a mode with xrandr to see if that works.

But using gdp to enable a dual display (extended desktop) with a VGA attached monitor resulted in complete screen corruption on both displays.
Comment 6 Bug Zapper 2009-06-09 05:49:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Matěj Cepl 2009-11-05 13:20:24 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Robert de Rooy 2010-02-10 08:21:05 EST
I can still trigger this easily with F12 with latest updates+updates-testing, no external display needed.

$ gtf 1360 768 60

  # 1360x768 @ 60.00 Hz (GTF) hsync: 47.70 kHz; pclk: 84.72 MHz
  Modeline "1360x768_60.00"  84.72  1360 1424 1568 1776  768 769 772 795  -HSync +Vsync

$ xrandr --newmode "1360x768_60.00"  84.72  1360 1424 1568 1776  768 769 772 795  -HSync +Vsync
$ xrandr --addmode LVDS 1360x768_60.00

Then selecting this newly added mode, will give the corruption as seen in the attached picture

kernel-2.6.32.7-37.fc12.i686
xorg-x11-drv-ati-6.13.0-0.20.20091221git4b05c47ac.fc12.i686
xorg-x11-server-Xorg-1.7.4.902-1.fc12.i686
Comment 9 Jérôme Glisse 2010-03-17 06:12:38 EDT
Don't use non native mode on laptop panel, they are a lot less flexible than standard screen and the corruption you see is a side effect of not using standard resolution. I am closing this bug as we can't fix somethings for which the hw is not designed to work with.

Note You need to log in before you can comment on or make changes to this bug.